Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum QProcess.ProcessChannelMode

    java.lang.Object
      java.lang.Enum<QProcess.ProcessChannelMode>
          com.trolltech.qt.core.QProcess.ProcessChannelMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QProcess.ProcessChannelMode>

Enclosing class:
  QProcess

    public static enum QProcess.ProcessChannelMode

extends java.lang.Enum<QProcess.ProcessChannelMode>
implements QtEnumerator

This enum describes the process channel modes of `QProcess`. Pass one of these values to `setProcessChannelMode` to set the current read channel mode.

See Also:
  `setReadChannelMode`

Enum Constant Summary
`ForwardedChannels` `QProcess` forwards the output of the running process onto the main process.
`MergedChannels` `QProcess` merges the output of the running process into the standard output channel (`stdout`).
`SeparateChannels` `QProcess` manages the output of the running process, keeping standard output and standard error data in separate internal buffers.

Method Summary
`static QProcess.ProcessChannelMode` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QProcess.ProcessChannelMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QProcess.ProcessChannelMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SeparateChannels

    public static final QProcess.ProcessChannelMode SeparateChannels

  `QProcess` manages the output of the running process, keeping standard output and standard error data in separate internal buffers. You can select the `QProcess`'s current read channel by calling `setReadChannel`. This is the default channel mode of `QProcess`.

### MergedChannels

    public static final QProcess.ProcessChannelMode MergedChannels

  `QProcess` merges the output of the running process into the standard output channel (`stdout`). The standard error channel (`stderr`) will not receive any data. The standard output and standard error data of the running process are interleaved.

### ForwardedChannels

    public static final QProcess.ProcessChannelMode ForwardedChannels

  `QProcess` forwards the output of the running process onto the main process. Anything the child process writes to its standard output and standard error will be written to the standard output and standard error of the main process.

Method Detail

### values

    public static final QProcess.ProcessChannelMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QProcess.ProcessChannelMode c : QProcess.ProcessChannelMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QProcess.ProcessChannelMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QProcess.ProcessChannelMode resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD